summaryrefslogtreecommitdiffstats
path: root/system/chkconfig
diff options
context:
space:
mode:
author Menno E. Duursma2010-05-11 20:01:54 +0200
committer Erik Hanson2010-05-11 20:01:54 +0200
commit31303c1daf8a185c391c2bc995666b452ce859c1 (patch)
treeed4b9ea19d6184d9bae6385d1f31517474428a50 /system/chkconfig
parent3347e10b1bfd29ca824068e069b681c33e8a6476 (diff)
downloadslackbuilds-31303c1daf8a185c391c2bc995666b452ce859c1.tar.gz
system/chkconfig: Added to 12.0 repository
Diffstat (limited to 'system/chkconfig')
-rw-r--r--system/chkconfig/README22
-rw-r--r--system/chkconfig/chkconfig.SlackBuild64
-rw-r--r--system/chkconfig/chkconfig.info8
-rw-r--r--system/chkconfig/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/system/chkconfig/README b/system/chkconfig/README
new file mode 100644
index 0000000000..ef98c9ccaa
--- /dev/null
+++ b/system/chkconfig/README
@@ -0,0 +1,22 @@
+Chkconfig
+
+Chkconfig is a tool for managing the collection of symbolic links found in
+the /etc/rc[0-6].d directories, on System V derived UNIX systems. It saves
+the system administrator from the tedium of manually managing the scores of
+symbolic links.
+
+Once you've compiled it, chkconfig requires special headers at the top
+of the init scripts in order to know how to setup the symlinks. This is
+This is documented in the manpage for chkconfig under RUNLEVEL FILES.
+
+After which services can be administrated in the folowing manner:
+
+ chkconfig --add <service>
+ chkconfig --level 2345 <service> on
+ chkconfig --list <service>
+
+Note: Slackware uses a BSD UNIX derived 'rc' system to be found in
+ /etc/rc.d (utilising 'pkgtool' for management), SysV-style init
+ is however supported for 3th party programs to use.
+
+
diff --git a/system/chkconfig/chkconfig.SlackBuild b/system/chkconfig/chkconfig.SlackBuild
new file mode 100644
index 0000000000..7b415fc168
--- /dev/null
+++ b/system/chkconfig/chkconfig.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for chkconfig
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# Exit on most errors
+set -e
+
+PRGNAM=chkconfig
+VERSION=1.3.30c
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/chkconfig/chkconfig.info b/system/chkconfig/chkconfig.info
new file mode 100644
index 0000000000..45cbc00dd7
--- /dev/null
+++ b/system/chkconfig/chkconfig.info
@@ -0,0 +1,8 @@
+PRGNAM="chkconfig"
+VERSION="1.3.30c"
+HOMEPAGE="http://www.fastcoder.net/software/chkconfig/"
+DOWNLOAD="http://www.fastcoder.net/downloads/chkconfig-1.3.30c.tar.gz"
+MD5SUM="592a1fe77f3844d7748adbab6357ee25"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="Erik Hanson"
diff --git a/system/chkconfig/slack-desc b/system/chkconfig/slack-desc
new file mode 100644
index 0000000000..77deb48f72
--- /dev/null
+++ b/system/chkconfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+chkconfig: Chkconfig (a tool for managing SysV init directories)
+chkconfig:
+chkconfig: Chkconfig is a tool for managing the collection of symbolic links
+chkconfig: found in the /etc/rc[0-6].d directories, on System V derived UNIX
+chkconfig: systems. It saves the system administrator from the tedium of
+chkconfig: manually managing the scores of symbolic links.
+chkconfig:
+chkconfig: Note: Slackware uses a BSD UNIX derived 'rc' system to be found in
+chkconfig: /etc/rc.d (utilising 'pkgtool' for management), SysV-style init
+chkconfig: is however supported for 3th party programs to use.
+chkconfig: